Std: Creați un Grup

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Std Group and the translation is 15% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Previous: Std Part.png Part

Std Group.svg Std Group

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup

Descriere

Această comandă vă permite să creați un grup în vizualizarea arborescentă.
Acesta poate fi folosit pentru organizarea structurii modelului dvs.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Group with objects.png

Various elements inside Std Groups in the tree view.


Utilizare

Faceți clic dreapta pe numele documentului dvs. FreeCAD în vizualizarea arborescentă și alegeți "creare grup".
Un grup va fi creat automat și va da pictograma unui director și a unui nume ales automat.
Puteți redenumi grupul făcând clic dreapta pe grup și selectând "redenumiți" sau folosind "F2" de pe tastatură.
Împingeți obiectele FreeCAD în grup sau scoateți-le din grup făcând clic pe obiectul dorit,
mențineți apăsat butonul stânga al mouse-ului și folosiți stilul drag & drop pentru a trage obiectul în noua locație dorită.
Atâta timp cât există un semn "cerc cu linie diagonală" - sub cursor, nu vă puteți lăsa obiectul aici.
De îndată ce semnul se schimbă într-un simbol "plus", este posibil să vă abandonați obiectul aici.

Notes

  • The Group object does not affect the positions in the 3D view of the elements that it contains; it is essentially just a folder that is used to keep the tree view organized.
  • The Group can also be created from the Python console, and sub-classed to create special "groups", as indicated in the Scripting section.

Proprietăți

A Std Group is internally called App DocumentObjectGroup (App::DocumentObjectGroup class), and is derived from the basic App DocumentObject (App::DocumentObject class), therefore it shares all the latter's properties.

In addition to the properties described in App FeaturePython, which is the most basic instance of an App DocumentObject, the App DocumentObjectGroup has the DataGroup property.

These are the properties available in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • DataLabel: Numele grupului

Hidden properties Data

  • DataProxy (PythonObject): a custom class associated with this object. This only exists for the Python version. See Scripting.

View

Base

See App FeaturePython for the basic view properties.

Hidden properties View

  • ViewProxy (PythonObject): a custom view provider class associated with this object. This only exists for the Python version. See Scripting.

Inheritance

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class), and is augmented with a Group extension.

FreeCAD core objects.svg

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple container which uses the Group extension to be able to hold any type of object.


Script

Următaorea comandaă adugă un nou grup în documentul activ:

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods of this Group.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

Therefore, for Python subclassing, you should create the App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Legături

Arrow-left.svg Previous: Std Part.png Part


Template:Std Base navi/ro